// This class encapsulates a chat channel or venue.

import java.util.*;

public class Channel {
    protected boolean closed = false;
    protected boolean permanent = true;
    protected String name;
    protected String description;
    protected String creator;
    protected String topic;
    protected String mcastAddr = null; 
    protected int port = 0;

    //  Create a new channel.
    public Channel(String nm, String desc, String c, boolean perm, boolean pvt) 
    {
	name = nm;
	description = desc;
	creator = c;
	closed = pvt;	
	permanent = perm;
    }

    public void setClosed(boolean flag) { closed = flag; }
    public void setMcastAddress(String addr, int port)
    {
	mcastAddr = addr;
	this.port = port;
    }

    public void setMcastAddress(String addr) { mcastAddr = addr; }
    public void setMcastPort(int port) { this.port = port; }
    public void setMcastPort(String s) { this.port = Integer.parseInt(s); } 
    public String getMcastAddress() { return mcastAddr; } 
    public int getMcastPort() { return port; }
    public String getName() { return name; }	
    public String getCreator() { return creator; }	
    public String getDescription() { return description; } 
    public String getTopic() { return topic;}
    public void setTopic(String t) { topic = t; }
    public boolean isClosed() { return closed; }
    public boolean isPermanent() { return permanent; } 
}
