/* This class encapsulates messages to be delivered and received asynchronously.
   An example is in the PCCE chat client--messages can be buffered and sent to a
   channel later or notes can be sent to and received from people. 
*/

import java.util.*;

public class Note extends Entity {
    // buffers for msgs to send or to store msgs received 
    private String message;

    // Indicates whether this note was sent to target.
    private boolean sent = false; 

    /* Use Entity::name for sender, Entity::description for subject, and
       Entity::info for recipients
    */

    // Add other vars as needed, such as timestamp, date, etc.
    private String timestamp = null;

    public Note(String sender, String subject)
    {
	super(sender, subject);
	Date date = new Date();
	timestamp = new String(date.toString());
    }

    // Store the msg to be sent or store a msg received.
    public void put(String msg) { message = msg; }

    public String get() { return message; }

    public void delete(String msg)
    {
	//System.out.println("Note::delete() deleting msg: " + msg);
    }  
    
    public void setTimestamp(String ts) { timestamp = ts;}

    public String getTimestamp() { return timestamp; }

    public void setSent(boolean b) { sent = b; }

    public boolean sent() { return sent; }
}



