/*
 * Copyright (c) 2003, The Regents of the University of California, through
 * Lawrence Berkeley National Laboratory (subject to receipt of any required
 * approvals from the U.S. Dept. of Energy).  All rights reserved.
 *
 * $Id: ThreadMgr.java,v 1.5 2003/05/15 23:44:23 mperry Exp $
*/

/* This class creates a thread, waits for the created thread to die, and then 
   notifies the caller.
*/

import java.util.Date;

public class ThreadMgr implements Runnable {
    private IRCClient ircClient;	

    public ThreadMgr(IRCClient irc)
    {
	ircClient = irc; 
    }

    public void run()	
    {
	while(IRCClient.IRCconnect)
        {	
  	    Thread thread = new Thread(ircClient, "IRCClient"); 
            thread.start();
            try {
                thread.join();
	    } catch(Exception e) { 
	        System.out.println(new Date() + ": ThreadMgr(" + 
		   thread.getName() + ")::Exception e: " + e.getMessage()); 
	        if (IRCClient.IRCconnect)	
	           continue;
	        else
		   return;	
	    }
	}
    }  
}
