/* This class represents a userid.  Its main function is to generate 
   unique 'nicknames' for the IRC server.
*/

import java.util.*;

public class Userid {
    private String name = null;
    private Vector suffixes = null; 
    int counter = 1;	

    public Userid(String n) {
	name = new String(n);
	suffixes = new Vector();
    }

    public String generateNick() {
	/* Generate a new nickname by appending 'counter' to 'name'
	   (e.g., guest, guest_1, guest_2,...  Then increment the
	   counter and add it to the suffixes vector as an Integer.
        */
	String nick = new String(name); 
	if (suffixes.size() > 0) 
	    nick = nick + "_" + String.valueOf(counter);	
	suffixes.addElement(new Integer(counter));
	counter++;
	return nick;
    }
   
    public boolean isEmpty() { return suffixes.isEmpty(); }

    public void deleteNick(Integer i) {
 	// This method should be called by the server when a user logs out.
	if (suffixes.contains(i))
	    suffixes.removeElement(i);
	if (suffixes.isEmpty() == true)
	    counter = 1;
    }
} 
