#!/bin/sh

# Set JAVA_HOME to your Java installation top-directory
export JAVA_HOME

# Unix path
JAVA_HOME="/usr/local/java/j2sdk1.4.2"

# Set PCCE_HOME to where you have installed the PCCEServer package 
# NOTE THAT THE DEFAULT IS THE CURRENT WORKING DIRECTORY 

export PCCE_HOME
PCCE_HOME=/home/g3/users/mperry/PCCEServer

##########################################################################
###		    Nothing else to change below!                      ###
##########################################################################

#
# Set Paths
#
export CLASSPATH
CLASSPATH="$PCCE_HOME/pcceserver.jar:$PCCE_HOME/pccejava.jar"

ARCH=`uname -p`

prog=java

#
# Select a java interpreter
#
JAVA=$JAVA_HOME/bin/$prog
if [ ! -x "$JAVA" ] ; then
    echo "Can't execute: $JAVA" 1>&2 
    exit 1
fi

#
# EDIT THE COMMAND LINE starting with 'exec' below and then run this script
# to start the application

# See the README for command line arguments you can use to override
# the default paths for the certificates.
# CHANGE irchost and pccepass to reflect the host running the ircd server and
# the password used between IRCD and PCCEServer

# CHANGE '-p' value to match your SSL passphrase used to encrypt the server's
# private key

# CHANGE -k and -c to point to the server's certificate and certificates of the
# trust CAs, respectively. 

exec $JAVA -classpath $CLASSPATH PCCEServer -irchost pcce.lbl.gov -ircpass pccepass -p changeme -k $PCCE_HOME/pcce.p12 -c $PCCE_HOME/certs.pem
